Subject: Questions about Solaris version of postgres

From: [email-masked] (Mitchell Balsam)
Date: Tue, 7 Jun 94 13:38:37 EDT

Hi all,

I'm new to the postgres world and hope these questions are not redundent.

I am using the Solaris binary from the unsupported-ports directory. Its running under Solaris 2.3 on a Sparc 2.

My questions are: 

In the Postress Installation Instructions page 5, it describes several kernel modificaitons. Are these changes for SunOs 4.1.2 or Solaris? 

If I was to recompile version 4.1 for Solaris. Can I use gcc? What #defines must be changed? Have all changes nessesary to run under solaris been added to the current release? 

I see there is a 4.2 version. Has anyone compiled it for Solaris?

Can I use gcc to compile the regression test files such as regress.o?  If so, why do you think the machine often blocks forever during the loading of this module. 

Why does the vacuum command blocks forever?

Thanks 

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]"

   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================